Authorization: Bearer <access_token>{
"user_id": "string",
"new_email_id": "string",
"activation_code": "string",
"app_id":"string"
}user_id – Unique identifier of the logged-in usernew_email_id – New email address to be associated with the accountactivation_code – One-time activation code sent to the new email ID for verificationsuccess string is returned confirming the email change/auth-service/send/validation/code with the proper mode.Changes a user’s email ID after validating an activation code sent to the new email address.
curl --location --request POST 'https://appfloor.in/auth-service/change/email' \
--header 'Authorization: Bearer <token>' \
--form 'new_email_id=""' \
--form 'activation_code=""'{
"profile": {
"floor_id": "string",
"floor_count_info": {
"permitted": "string",
"remaining": "string"
},
"block_count_info": {
"permitted": "string",
"remaining": "string"
},
"FID": "string",
"name": "string",
"email": "string",
"mobile_number": "string",
"user_id": "string",
"avatar": {
"url": "string",
"id": "string"
}
},
"pod_info": {
"floor_id": "string",
"is_owner": "string",
"app_id": "string",
"title": "string",
"details": "string",
"floor_uid": "string",
"blocks": [
{
"block_id": "string",
"type": "string",
"title": "string"
}
],
"avatar": {
"url": "string",
"type": "string"
}
},
"app_id": "string"
}